Subject: bug#25226: Describe compiled function values in a friendlier way

From: [email-masked]
Date: Mon, 12 Jun 2017 23:01:12 -0400

close 25226 
quit

[email-masked] writes:

> There was some discussion on emacs-devel about the value of
> eldoc-documentation-function being unreadable.  Here is a patch that
> produces a more human-friendly display for compiled function values:

I pushed a patch to add the disassembly button to the existing cl-print
output [9b0f52a86e].  It might not be quite as friendly as my original,
but it extends more gracefully to more complex values that contain
function values inside them, so let's just see how this goes.

[2: 9b0f52a86e]: 2017-06-12 22:52:37 -0400
  Buttonize #<bytecode> part of printed functions (Bug#25226)
  http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=9b0f52a86e8e3767d7fcf3ef2adf7aa1f58e0e93